@echo off
cls
if "%1" == "" goto driveerror
if "%2" == "" goto driveerror
goto weiter
:driveerror
echo Format: install [source drive]: [target drive]:
echo Geben Sie bitte an, von welchem Diskettenlaufwerk Sie das Spiel installieren
echo wollen und auf welches Laufwerk das Spiel installiert werden soll.
goto ende

:weiter
echo +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
echo +                                                                             +
echo +                                 INSTALLATION                                +
echo +                                                                             +
echo +                'TIMEHUNTERS' wird auf Laufwerk %2 installiert.              +
echo +               Es wird ein Verzeichnis namens %2\hunters erzeugt             +
echo +                                                                             +
echo +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

if exist %2\hunters\*.* goto direxist
mkdir %2\hunters
goto copynow
:direxist
echo Das Verzeichnis HUNTERS auf Laufwerk %2 existiert bereits.
echo Drcken Sie Strg-C, wenn Sie jetzt abbrechen mchten.
pause

:copynow
echo Programm wird auf die Festplatte kopiert, bitte warten Sie einige Sekunden...
copy %1\install.bat %2\hunters > NUL
copy %1\arj.exe %2\hunters > NUL
%2\
cd %2\
cd %2\hunters

echo Programm wird entpackt...
arj.exe x -v -y %1\hunters
del arj.exe
del install.bat
if exist %2\hunters\hunters.exe goto OK

:Error
echo                    Whrend der Installation ist ein Fehler aufgetreten.
echo                      Bitte berprfen Sie, ob Ihre Hard Disk voll ist.
goto ende

:OK
echo Installation erfolgreich abgeschlossen!
echo Zum Starten des Spiels bitte 'HUNTERS' eingeben.

:ende
